This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Please upload: clisp-2.39-1

Reini Urban schrieb:
Christopher Faylor schrieb:
Some mail to the spam trap on sourceware indicates that CLISP no longer has
a Cygwin maintainer.

Is anyone interested in maintaining this?

Yep, me.

Package is ready, but I will wait until some dependent build req's are through ITP and uploaded: fcgi, libsigsegv and maybe pari.
These are just build requirements and may be used optionally at run-time.

Still, if someone wants to have a look:

After extensive testing with some other possible module and feature combinations, the very first and simpliest attempt was the best.
So please take the three urls from above.

Note that re-compiling from src is quite hairy and I couldn't trick some special m4 macros yet to spit out the correct LIBS.
So maybe you after a make failure, go need to go to build, fix makevars and make again. Sigh.

Packaging considerations:
--without-unicode will lead to problems with some asdf libraries out there. Easy to fix, but worthless. So you might need to call it
clisp -E 1:1
--with-module=matlab or pari requires those apps at loadtime, so a nono.
I have a pari ready, but this will need more extensive testing.
--with-dynamic-modules, the real way we want to go - loading oracle, matlab, pari at run-time, i.e on request - is quite broken, but I'm almost on my way through.
fcgi is linked statically, so not needed as require. I haven't tested it with apache2, but from the command-line.
Reini Urban

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]